#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	22.12.0
%define		qtver		5.15.2
%define		kf5ver		5.71.0
%define		kaname		zanshin
Summary:	A Getting Things Done application
Name:		ka5-%{kaname}
Version:	22.12.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	69854d52c73b217549f4d5a4c6d3240f
URL:		http://www.kde.org/
BuildRequires:	gettext-devel
BuildRequires:	ka5-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka5-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka5-kontactinterface-devel >= %{kdeappsver}
BuildRequires:	kf5-ki18n-devel >= 5.93.0
BuildRequires:	kf5-krunner-devel >= 5.93.0
BuildRequires:	kf5-kwindowsystem-devel >= 5.93.0
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5PrintSupport >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A Getting Things Done application which aims at getting your mind like
water. Zanshin is a state of awareness, of relaxed alertness, in
Japanese martial arts. A literal translation of zanshin is "remaining
mind". ([Extract from
Wikipedia](https://en.wikipedia.org/wiki/Zanshin))

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%doc AUTHORS HACKING TODO
%attr(755,root,root) %{_bindir}/zanshin
%attr(755,root,root) %{_bindir}/zanshin-migrator
%attr(755,root,root) %{_libdir}/qt5/plugins/krunner_zanshin.so
%attr(755,root,root) %{_libdir}/qt5/plugins/zanshin_part.so
%{_desktopdir}/org.kde.zanshin.desktop
%{_iconsdir}/hicolor/128x128/apps/zanshin.png
%{_iconsdir}/hicolor/256x256/apps/zanshin.png
%{_iconsdir}/hicolor/48x48/apps/zanshin.png
%{_iconsdir}/hicolor/64x64/apps/zanshin.png
%{_iconsdir}/hicolor/scalable/apps/zanshin.svgz
%{_datadir}/kservices5/plasma-runner-zanshin.desktop
%{_datadir}/kservices5/zanshin_part.desktop
%{_datadir}/kxmlgui5/zanshin
%{_datadir}/metainfo/org.kde.zanshin.metainfo.xml
%{_libdir}/qt5/plugins/pim5/kontact/kontact_zanshinplugin.so
%changelog
* Fri Dec 09 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-zanshin.git;a=log;h=master

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4e55b8c
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 732135b
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> cdce429
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bcfa9b7
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f8c115b
- relup

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 6450e0d
- updated to 22.08.1

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 350ac0c
- relup

* Sat Aug 20 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 7d077cc
- relup

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> e9fd614
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 187a553
- updated to 22.04.3

* Sun Jun 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0cba3e1
- relup

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 1023d35
- updated to 22.04.2

* Fri May 13 2022 Witold Filipczyk <witekfl@poczta.onet.pl> adcfa9e
- GTD application, 22.04.1

